package setup

import "gitea.armuli.eu/museum-digital/museum-digital-webdav-uploader/src/configloader"

// Fetches user information from the relevant musdb API:
// https://demo.museum-digital.org/musdb/swagger/#/user/userReadOwnData
func getUserInformationFromApi(instanceUrl string, username string, password string) {

}

// Uses musdb's API to generate an access token:
// https://demo.museum-digital.org/musdb/swagger/#/user/userGenerateWebdavAccessToken
// Returns either the token or an error.
func getWebDavAccessTokenFromApi(instanceUrl string) (string, error) {

}

func setup() error {

    // Request input data

    validateInstanceLink()

    // Get user name
    // Get password

}
